import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    id("io.objectbox")

}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())
android {
    namespace = "com.photo.keyboard.themes"
    compileSdk = 34

    defaultConfig {
        //com.photo.keyboard.themes
        applicationId = "com.photo.keyboard.themes"
        minSdk = 23
        targetSdk = 34
        versionCode =1
        versionName = "1.0.0"
        setProperty("archivesBaseName", "Versatile keyboard_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        vectorDrawables {
            useSupportLibrary = true
        }
    }

    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }
    composeOptions {
        kotlinCompilerExtensionVersion = "1.4.3"
    }
    packaging {
        resources {
            excludes += "/META-INF/{AL2.0,LGPL2.1}"
        }
    }
    buildFeatures{
        compose = false
        viewBinding = true
    }
}

dependencies {


    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.11.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    implementation("androidx.activity:activity-compose:1.8.2")
    implementation ("com.github.bumptech.glide:glide:4.16.0")
    implementation ("jp.wasabeef:glide-transformations:4.3.0")

    implementation("com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.02")


}